#!/bin/sh

synorcd=/var/packages/AudioStation/target/sbin/synorcd
CAT=/bin/cat
RENICE=/usr/bin/renice
SZF_RCD_PID=/var/run/synorcd.pid
SUPPORT_DUAL_HEAD=`/bin/get_key_value /etc.defaults/synoinfo.conf support_dual_head`

CheckIfDaemonAlive()
{
	if [ -f "$1" ]; then
		local processPid=`cat $1`
		kill -0 ${processPid} > /dev/null 2>&1
		if [ "0" = "$?" ]; then
			true
			return
		fi
	fi
	false
}

case $1 in
        start)
		if [ "yes" == "$SUPPORT_DUAL_HEAD" ]; then
			return
		fi
		if CheckIfDaemonAlive "$SZF_RCD_PID"; then
			echo "Daemon synorcd exist. Skip start action."
		else
	                echo "Starting synorcd ..."
			$synorcd

			# renice rcd to higher priority
			sleep 1
			$RENICE -5 `$CAT $SZF_RCD_PID`
		fi
        ;;
        stop)
		if [ "yes" == "$SUPPORT_DUAL_HEAD" ]; then
			return
		fi
		echo "Stopping synorcd ..."
		/usr/bin/killall -9 synorcd > /dev/null 2>&1
		rm -f $SZF_RCD_PID
        ;;
        restart)
		$0 stop
		sleep 1
                $0 start
        ;;
        *)
                echo "Usage: $0 start|stop|restart"
        ;;
esac

