#!/bin/sh
# Copyright (c) 2000-2013 Synology Inc. All rights reserved

PSQL="/usr/bin/psql"

ExecSqlCommand()
{
	$PSQL -U postgres mediaserver -c "$1"
}

DATABASE="mediaserver"
TABLE="pg_collation"
COLUMN="collname"
COLLATION="en_US_synology"

echo "test collation ($COLLATION) in $TABLE table in $DATABASE DB"
ExecSqlCommand "SELECT $COLUMN FROM $TABLE WHERE $COLUMN='$COLLATION'" | grep "$COLLATION" > /dev/null 2>&1
Ret=$?
if [ $Ret = 1 ]; then
	echo "Add collation ($COLLATION) to $TABLE table in $DATABASE DB"
	Script="/var/packages/AudioStation/target/scripts/upgrade/007_create_collation.pgsql"
	$PSQL -U postgres $DATABASE < $Script
	if [ $? != 0 ]; then
		echo "Failed to add collation ($COLLATION) to $TABLE table in $DATABASE DB"
		exit 2 # error
	fi

	exit 1 # db changed
fi

exit 0 # no modification
